summaryrefslogtreecommitdiff
path: root/projects
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2005-02-24 18:42:34 +0000
committerReid Spencer <rspencer@reidspencer.com>2005-02-24 18:42:34 +0000
commitf20856db3508126ebe921957fef121e0c41fe74d (patch)
tree08ec3bcdbab86bd4030320ddef93ea8d264cb1d5 /projects
parent016947578fde9423aa9a0b42635e60b20a10d015 (diff)
downloadllvm-f20856db3508126ebe921957fef121e0c41fe74d.tar.gz
llvm-f20856db3508126ebe921957fef121e0c41fe74d.tar.bz2
llvm-f20856db3508126ebe921957fef121e0c41fe74d.tar.xz
* Fix an output message
* Make aclocal look in LLVM's autoconf/m4 directory for macros * Don't force generation of missing files git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@20307 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'projects')
-rwxr-xr-xprojects/sample/autoconf/AutoRegen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/projects/sample/autoconf/AutoRegen.sh b/projects/sample/autoconf/AutoRegen.sh
index 2655f21dc0..af6c0a4b28 100755
--- a/projects/sample/autoconf/AutoRegen.sh
+++ b/projects/sample/autoconf/AutoRegen.sh
@@ -19,12 +19,12 @@ elif test -d ../../llvm/autoconf/m4 ; then
llvm_m4=`pwd`
cd $cwd
else
- die "Can't find the LLVM autoconf/m4 directory. llvm-test should be checked out to projects directory"
+ die "Can't find the LLVM autoconf/m4 directory. The project should be checked out to projects directory"
fi
echo "Regenerating aclocal.m4 with aclocal"
rm -f aclocal.m4
-aclocal -I $cwd/m4 -I $llvm_m4 || die "aclocal failed"
+aclocal -I $llvm_m4 -I "$llvm_m4/.." || die "aclocal failed"
echo "Regenerating configure with autoconf 2.5x"
-autoconf --force --warnings=all -o ../configure configure.ac || die "autoconf failed"
+autoconf --warnings=all -o ../configure configure.ac || die "autoconf failed"
cd ..
exit 0